{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE Rank2Types #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module System.Curry_CurryPath
  ( C_ModuleIdent
  , C_ModulePath
  , d_C_splitModuleFileName
  , d_C_splitModuleIdentifiers
  , d_C_joinModuleIdentifiers
  , d_C_stripCurrySuffix
  , d_C_modNameToPath
  , d_C_currySubdir
  , d_C_inCurrySubdir
  , d_C_inCurrySubdirModule
  , d_C_addCurrySubdir
  , d_C_sysLibPath
  , d_C_getLoadPathForModule
  , d_C_lookupModuleSourceInLoadPath
  , d_C_lookupModuleSource )
  where

import Basics
import qualified Curry_Char
import qualified Data.Curry_PropertyFile
import qualified Curry_Directory
import qualified Curry_Distribution
import qualified Curry_FileGoodies
import qualified Curry_FilePath
import qualified Curry_List
import qualified Curry_Prelude
import qualified Curry_System


type C_ModuleIdent = Curry_Prelude.OP_List Curry_Prelude.C_Char

type C_ModulePath = Curry_Prelude.OP_List Curry_Prelude.C_Char

d_C_splitModuleFileName :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_splitModuleFileName x1 x2 cd cs = let x3 = Curry_Prelude.d_C_apply
                                            (d_C_splitModuleIdentifiers cd cs)
                                            x1 cd cs
  in d_C__case_28 x2 x3 cd cs

d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base l cd cs)
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.splitModuleFileName._#selFP5#base" [show x1] info)
  _ -> failCons cd (consFail
    "System.CurryPath.splitModuleFileName._#selFP5#base" (showCons x1))

d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext l cd cs)
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.splitModuleFileName._#selFP6#ext" [show x1] info)
  _ -> failCons cd (consFail "System.CurryPath.splitModuleFileName._#selFP6#ext"
    (showCons x1))

d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char))
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre l cd cs)
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.splitModuleFileName._#selFP3#pre" [show x1] info)
  _ -> failCons cd (consFail "System.CurryPath.splitModuleFileName._#selFP3#pre"
    (showCons x1))

d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char))
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf l cd cs)
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.splitModuleFileName._#selFP4#suf" [show x1] info)
  _ -> failCons cd (consFail "System.CurryPath.splitModuleFileName._#selFP4#suf"
    (showCons x1))

d_C_splitModuleIdentifiers :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_splitModuleIdentifiers cd cs = Curry_List.d_C_split (Curry_Prelude.d_C_flip
  (acceptCs id
  Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char)
  (Curry_Prelude.C_Char '.'#))

d_C_joinModuleIdentifiers :: Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_joinModuleIdentifiers cd cs = Curry_Prelude.d_C_foldr1 (acceptCs id
  d_OP_joinModuleIdentifiers_dot_combine_dot_16)

d_OP_joinModuleIdentifiers_dot_combine_dot_16 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_OP_joinModuleIdentifiers_dot_combine_dot_16 x1 x2 cd cs =
  Curry_Prelude.d_OP_plus_plus x1 (Curry_Prelude.OP_Cons (Curry_Prelude.C_Char
  '.'#) x2) cd cs

d_C_stripCurrySuffix :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_stripCurrySuffix x1 cd cs = d_C__case_24 x1 (Curry_Prelude.d_C_apply
  (Curry_Prelude.d_C_elem
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
  cs) cd cs) (Curry_Prelude.d_C_apply (Curry_FileGoodies.d_C_fileSuffix cd cs)
  x1 cd cs) cd cs) (Curry_Prelude.OP_Cons (Curry_Prelude.toCurryString "curry")
  (Curry_Prelude.OP_Cons (Curry_Prelude.toCurryString "lcurry")
  Curry_Prelude.OP_List)) cd cs) cd cs

d_C_modNameToPath :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_modNameToPath cd cs = Curry_Prelude.d_OP_dot (Curry_Prelude.d_C_foldr1
  (Curry_FilePath.d_OP_lt_slash_gt cd cs)) (Curry_List.d_C_split
  (Curry_Prelude.d_C_flip (acceptCs id
  Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char)
  (Curry_Prelude.C_Char '.'#))) cd cs

d_C_currySubdir :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_currySubdir cd cs = Curry_Prelude.toCurryString ".curry"

d_C_inCurrySubdir :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_inCurrySubdir x1 cd cs = let x2 = Curry_FilePath.d_C_splitFileName x1 cd cs
                                 x3 = d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base
                                   x2 cd cs
                                 x4 = d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file
                                   x2 cd cs
  in Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_FilePath.d_OP_lt_slash_gt cd cs) x3 cd cs) (Curry_Prelude.d_C_apply
  (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs)
  (d_C_currySubdir cd cs) cd cs) (Curry_Prelude.d_C_apply (d_C_modNameToPath cd
  cs) x4 cd cs) cd cs) cd cs

d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base l cd cs)
    (d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_inCurrySubdir_dot_uscore_hash_selFP8_hash_base e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.inCurrySubdir._#selFP8#base" [show x1] info)
  _ -> failCons cd (consFail "System.CurryPath.inCurrySubdir._#selFP8#base"
    (showCons x1))

d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file l cd cs)
    (d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_inCurrySubdir_dot_uscore_hash_selFP9_hash_file e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.inCurrySubdir._#selFP9#file" [show x1] info)
  _ -> failCons cd (consFail "System.CurryPath.inCurrySubdir._#selFP9#file"
    (showCons x1))

d_C_inCurrySubdirModule :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_inCurrySubdirModule x1 x2 cd cs = let x3 = d_C_splitModuleFileName x1 x2 cd
                                            cs
                                          x4 = d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP
                                            x3 cd cs
                                          x5 = d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP
                                            x3 cd cs
  in Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_FilePath.d_OP_lt_slash_gt cd cs) x4 cd cs) (Curry_Prelude.d_C_apply
  (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs)
  (d_C_currySubdir cd cs) cd cs) x5 cd cs) cd cs

d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP l cd cs)
    (d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_inCurrySubdirModule_dot_uscore_hash_selFP11_hash_dirP e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.inCurrySubdirModule._#selFP11#dirP" [show x1] info)
  _ -> failCons cd (consFail
    "System.CurryPath.inCurrySubdirModule._#selFP11#dirP" (showCons x1))

d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP l cd cs)
    (d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_inCurrySubdirModule_dot_uscore_hash_selFP12_hash_modP e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.CurryPath.inCurrySubdirModule._#selFP12#modP" [show x1] info)
  _ -> failCons cd (consFail
    "System.CurryPath.inCurrySubdirModule._#selFP12#modP" (showCons x1))

d_C_addCurrySubdir :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_addCurrySubdir x1 cd cs = Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_FilePath.d_OP_lt_slash_gt cd cs) x1 cd cs) (d_C_currySubdir cd cs) cd
  cs

d_C_sysLibPath :: Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_sysLibPath cd cs = d_C__case_23 (Curry_Distribution.d_C_curryCompiler cd cs)
  cd cs

d_C_getLoadPathForModule :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_getLoadPathForModule x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Distribution.d_C_rcFileName cd cs)
  (d_OP_getLoadPathForModule_dot_uscore_hash_lambda5 x1) cd cs

d_OP_getLoadPathForModule_dot_uscore_hash_lambda5 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_OP_getLoadPathForModule_dot_uscore_hash_lambda5 x1 x2 cd cs = let x3 = x2
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Data.Curry_PropertyFile.d_C_getPropertyFromFile x3
  (Curry_Prelude.toCurryString "libraries") cd cs)
  (d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7 x1)
  cd cs

d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7 x1 x2 cd cs =
  let x3 = x2
      x4 = Curry_Prelude.d_C_apply (Curry_FilePath.d_C_dropFileName cd cs) x1 cd
        cs
  in d_C__case_2 x3 x4 (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_elem
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
  cs) cd cs) (Curry_Distribution.d_C_curryCompiler cd cs) cd cs)
  (Curry_Prelude.OP_Cons (Curry_Prelude.toCurryString "pakcs")
  (Curry_Prelude.OP_Cons (Curry_Prelude.toCurryString "kics")
  (Curry_Prelude.OP_Cons (Curry_Prelude.toCurryString "kics2")
  Curry_Prelude.OP_List))) cd cs) cd cs

d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7_dot_uscore_hash_lambda10 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7_dot_uscore_hash_lambda10 x1 x2 x3 cd cs =
  let x4 = x3
      x5 = Curry_Prelude.d_C_maybe Curry_Prelude.OP_List
        d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7_dot_uscore_hash_lambda10_dot_uscore_hash_lambda12
        x2 cd cs
  in Curry_Prelude.d_OP_dollar
  Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Prelude.OP_Cons x1 (Curry_Prelude.d_OP_plus_plus (d_C__case_1 x4
  (Curry_Prelude.d_C_null x4 cd cs) cd cs) (Curry_Prelude.d_OP_plus_plus x5
  (d_C_sysLibPath cd cs) cd cs) cd cs)) cd cs

d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7_dot_uscore_hash_lambda10_dot_uscore_hash_lambda12 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7_dot_uscore_hash_lambda10_dot_uscore_hash_lambda12 x1 cd cs =
  d_C__case_0 x1 (Curry_Prelude.d_C_null x1 cd cs) cd cs

d_C_lookupModuleSourceInLoadPath :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Cover -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
d_C_lookupModuleSourceInLoadPath x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (d_C_getLoadPathForModule x1 cd cs)
  (d_OP_lookupModuleSourceInLoadPath_dot_uscore_hash_lambda14 x1) cd cs

d_OP_lookupModuleSourceInLoadPath_dot_uscore_hash_lambda14 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  (Curry_Prelude.C_Maybe (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
d_OP_lookupModuleSourceInLoadPath_dot_uscore_hash_lambda14 x1 x2 cd cs =
  let x3 = x2 in d_C_lookupModuleSource x3 x1 cd cs

d_C_lookupModuleSource :: Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
d_C_lookupModuleSource x1 x2 cd cs = let x3 = Curry_Prelude.d_C_apply
                                           (Curry_FilePath.d_C_takeFileName cd
                                           cs) x2 cd cs
                                         x4 = Curry_Prelude.d_OP_plus_plus
                                           (Curry_Prelude.d_C_apply
                                           (d_C_modNameToPath cd cs) x3 cd cs)
                                           (Curry_Prelude.toCurryString
                                           ".lcurry") cd cs
                                         x5 = Curry_Prelude.d_OP_plus_plus
                                           (Curry_Prelude.d_C_apply
                                           (d_C_modNameToPath cd cs) x3 cd cs)
                                           (Curry_Prelude.toCurryString
                                           ".curry") cd cs
  in d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 x5 x4 x1 cd cs

d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 x1 x2 x3 cd cs =
  case x3 of
  Curry_Prelude.OP_List -> Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    Curry_Prelude.C_Nothing cd cs
  Curry_Prelude.OP_Cons x4 x5 -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Directory.d_C_doesFileExist (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs) x4 cd cs)
    x2 cd cs) cd cs)
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17
    x4 x1 x2 x5) cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 x1 x2 l cd cs)
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 x1 x2 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z ->
    d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 x1 x2 z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60 x1 x2 e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath.lookupModuleSource.lookupSourceInPath.60" [show x1, show
    x2, show x3] info)
  _ -> failCons cd (consFail
    "System.CurryPath.lookupModuleSource.lookupSourceInPath.60" (showCons x3))

d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17 x1 x2 x3 x4 x5 cd cs =
  case x5 of
  Curry_Prelude.C_True -> Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Prelude.C_Just (Curry_Prelude.OP_Tuple2 x1 (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs) x1 cd cs)
    x3 cd cs))) cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Directory.d_C_doesFileExist (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs) x1 cd cs)
    x2 cd cs) cd cs)
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20
    x1 x2 x3 x4) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17
    x1 x2 x3 x4 l cd cs)
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17
    x1 x2 x3 x4 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z ->
    d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17
    x1 x2 x3 x4 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17
    x1 x2 x3 x4 e cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath.lookupModuleSource.lookupSourceInPath.60._#lambda17" [show
    x1, show x2, show x3, show x4, show x5] info)
  _ -> failCons cd (consFail
    "System.CurryPath.lookupModuleSource.lookupSourceInPath.60._#lambda17"
    (showCons x5))

d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20 x1 x2 x3 x4 x5 cd cs =
  case x5 of
  Curry_Prelude.C_True -> Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Prelude.C_Just (Curry_Prelude.OP_Tuple2 x1 (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs) x1 cd cs)
    x2 cd cs))) cd cs
  Curry_Prelude.C_False -> d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60
    x2 x3 x4 cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20
    x1 x2 x3 x4 l cd cs)
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20
    x1 x2 x3 x4 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z ->
    d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20
    x1 x2 x3 x4 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c
    (d_OP_lookupModuleSource_dot_lookupSourceInPath_dot_60_dot_uscore_hash_lambda17_dot_uscore_hash_lambda20
    x1 x2 x3 x4 e cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath.lookupModuleSource.lookupSourceInPath.60._#lambda17._#lambda20"
    [show x1, show x2, show x3, show x4, show x5] info)
  _ -> failCons cd (consFail
    "System.CurryPath.lookupModuleSource.lookupSourceInPath.60._#lambda17._#lambda20"
    (showCons x5))

d_C__case_0 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Bool -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_0 x1 x2 cd cs = case x2 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_List
  Curry_Prelude.C_False -> Curry_Prelude.d_C_apply
    (Curry_FilePath.d_C_splitSearchPath cd cs) x1 cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_0 x1 l cd cs)
    (d_C__case_0 x1 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_0 x1 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_0 x1 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_0" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.CurryPath._case_0" (showCons x2))

d_C__case_1 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Bool -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_1 x4 x5 cd cs = case x5 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_List
  Curry_Prelude.C_False -> Curry_Prelude.d_C_apply
    (Curry_FilePath.d_C_splitSearchPath cd cs) x4 cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_1 x4 l cd cs)
    (d_C__case_1 x4 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_1 x4 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_1 x4 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_1" [show x4, show x5] info)
  _ -> failCons cd (consFail "System.CurryPath._case_1" (showCons x5))

d_C__case_2 :: Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Bool -> Cover -> ConstStore -> Curry_Prelude.C_IO
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C__case_2 x3 x4 x5 cd cs = case x5 of
  Curry_Prelude.C_True -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_System.d_C_getEnviron (Curry_Prelude.toCurryString "CURRYPATH") cd
    cs)
    (d_OP_getLoadPathForModule_dot_uscore_hash_lambda5_dot_uscore_hash_lambda7_dot_uscore_hash_lambda10
    x4 x3) cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.getLoadPathForModule: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_2 x3 x4 l cd cs)
    (d_C__case_2 x3 x4 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_2 x3 x4
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_2 x3 x4 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_2" [show x3, show x4, show x5] info)
  _ -> failCons cd (consFail "System.CurryPath._case_2" (showCons x5))

d_C__case_23 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_23 x3 cd cs = case x3 of
  Curry_Prelude.OP_Cons x1 x2 -> d_C__case_22 x1 x2
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x1 (Curry_Prelude.C_Char 'p'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_23 l cd cs)
    (d_C__case_23 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_23 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_23 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_23" [show x3] info)
  _ -> failCons cd (consFail "System.CurryPath._case_23" (showCons x3))

d_C__case_22 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_22 x1 x2 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> d_C__case_21 x2 cd cs
  Curry_Prelude.C_False -> d_C__case_12 x1 x2
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x1 (Curry_Prelude.C_Char 'k'#) cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_22 x1 x2 l cd cs)
    (d_C__case_22 x1 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_22 x1
    x2 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_22 x1 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_22" [show x1, show x2, show x3] info)
  _ -> failCons cd (consFail "System.CurryPath._case_22" (showCons x3))

d_C__case_12 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_12 x1 x2 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> d_C__case_11 x2 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_12 x1 x2 l cd cs)
    (d_C__case_12 x1 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_12 x1
    x2 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_12 x1 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_12" [show x1, show x2, show x3] info)
  _ -> failCons cd (consFail "System.CurryPath._case_12" (showCons x3))

d_C__case_11 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_11 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x13 x14 -> d_C__case_10 x13 x14
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x13 (Curry_Prelude.C_Char 'i'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_11 l cd cs)
    (d_C__case_11 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_11 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_11 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_11" [show x2] info)
  _ -> failCons cd (consFail "System.CurryPath._case_11" (showCons x2))

d_C__case_10 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_10 x13 x14 x15 cd cs = case x15 of
  Curry_Prelude.C_True -> d_C__case_9 x14 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_10 x13 x14 l cd
    cs) (d_C__case_10 x13 x14 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_10 x13
    x14 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_10 x13 x14 e
    cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_10" [show x13, show x14, show x15] info)
  _ -> failCons cd (consFail "System.CurryPath._case_10" (showCons x15))

d_C__case_9 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_9 x14 cd cs = case x14 of
  Curry_Prelude.OP_Cons x15 x16 -> d_C__case_8 x15 x16
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x15 (Curry_Prelude.C_Char 'c'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_9 l cd cs)
    (d_C__case_9 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_9 z cd
    cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_9 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_9" [show x14] info)
  _ -> failCons cd (consFail "System.CurryPath._case_9" (showCons x14))

d_C__case_8 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_8 x15 x16 x17 cd cs = case x17 of
  Curry_Prelude.C_True -> d_C__case_7 x16 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_8 x15 x16 l cd
    cs) (d_C__case_8 x15 x16 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_8 x15
    x16 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_8 x15 x16 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_8" [show x15, show x16, show x17] info)
  _ -> failCons cd (consFail "System.CurryPath._case_8" (showCons x17))

d_C__case_7 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_7 x16 cd cs = case x16 of
  Curry_Prelude.OP_Cons x17 x18 -> d_C__case_6 x17 x18
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x17 (Curry_Prelude.C_Char 's'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_7 l cd cs)
    (d_C__case_7 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_7 z cd
    cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_7 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_7" [show x16] info)
  _ -> failCons cd (consFail "System.CurryPath._case_7" (showCons x16))

d_C__case_6 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_6 x17 x18 x19 cd cs = case x19 of
  Curry_Prelude.C_True -> d_C__case_5 x18 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_6 x17 x18 l cd
    cs) (d_C__case_6 x17 x18 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_6 x17
    x18 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_6 x17 x18 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_6" [show x17, show x18, show x19] info)
  _ -> failCons cd (consFail "System.CurryPath._case_6" (showCons x19))

d_C__case_5 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_5 x18 cd cs = case x18 of
  Curry_Prelude.OP_List -> Curry_Prelude.OP_Cons (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs)
    (Curry_Distribution.d_C_installDir cd cs) cd cs) (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs)
    (Curry_Prelude.toCurryString "src") cd cs) (Curry_Prelude.toCurryString
    "lib") cd cs) cd cs) Curry_Prelude.OP_List
  Curry_Prelude.OP_Cons x19 x20 -> d_C__case_4 x19 x20
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x19 (Curry_Prelude.C_Char '2'#) cd cs) cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_5 l cd cs)
    (d_C__case_5 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_5 z cd
    cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_5 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_5" [show x18] info)
  _ -> failCons cd (consFail "System.CurryPath._case_5" (showCons x18))

d_C__case_4 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_4 x19 x20 x21 cd cs = case x21 of
  Curry_Prelude.C_True -> d_C__case_3 x20 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_4 x19 x20 l cd
    cs) (d_C__case_4 x19 x20 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_4 x19
    x20 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_4 x19 x20 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_4" [show x19, show x20, show x21] info)
  _ -> failCons cd (consFail "System.CurryPath._case_4" (showCons x21))

d_C__case_3 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_3 x20 cd cs = case x20 of
  Curry_Prelude.OP_List -> Curry_Prelude.OP_Cons (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs)
    (Curry_Distribution.d_C_installDir cd cs) cd cs)
    (Curry_Prelude.toCurryString "lib") cd cs) Curry_Prelude.OP_List
  Curry_Prelude.OP_Cons x21 x22 -> Curry_Prelude.d_C_error
    (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_3 l cd cs)
    (d_C__case_3 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_3 z cd
    cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_3 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_3" [show x20] info)
  _ -> failCons cd (consFail "System.CurryPath._case_3" (showCons x20))

d_C__case_21 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_21 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x3 x4 -> d_C__case_20 x3 x4
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x3 (Curry_Prelude.C_Char 'a'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_21 l cd cs)
    (d_C__case_21 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_21 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_21 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_21" [show x2] info)
  _ -> failCons cd (consFail "System.CurryPath._case_21" (showCons x2))

d_C__case_20 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_20 x3 x4 x5 cd cs = case x5 of
  Curry_Prelude.C_True -> d_C__case_19 x4 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_20 x3 x4 l cd cs)
    (d_C__case_20 x3 x4 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_20 x3
    x4 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_20 x3 x4 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_20" [show x3, show x4, show x5] info)
  _ -> failCons cd (consFail "System.CurryPath._case_20" (showCons x5))

d_C__case_19 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_19 x4 cd cs = case x4 of
  Curry_Prelude.OP_Cons x5 x6 -> d_C__case_18 x5 x6
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x5 (Curry_Prelude.C_Char 'k'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_19 l cd cs)
    (d_C__case_19 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_19 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_19 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_19" [show x4] info)
  _ -> failCons cd (consFail "System.CurryPath._case_19" (showCons x4))

d_C__case_18 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_18 x5 x6 x7 cd cs = case x7 of
  Curry_Prelude.C_True -> d_C__case_17 x6 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_18 x5 x6 l cd cs)
    (d_C__case_18 x5 x6 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_18 x5
    x6 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_18 x5 x6 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_18" [show x5, show x6, show x7] info)
  _ -> failCons cd (consFail "System.CurryPath._case_18" (showCons x7))

d_C__case_17 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_17 x6 cd cs = case x6 of
  Curry_Prelude.OP_Cons x7 x8 -> d_C__case_16 x7 x8
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x7 (Curry_Prelude.C_Char 'c'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_17 l cd cs)
    (d_C__case_17 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_17 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_17 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_17" [show x6] info)
  _ -> failCons cd (consFail "System.CurryPath._case_17" (showCons x6))

d_C__case_16 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_16 x7 x8 x9 cd cs = case x9 of
  Curry_Prelude.C_True -> d_C__case_15 x8 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_16 x7 x8 l cd cs)
    (d_C__case_16 x7 x8 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_16 x7
    x8 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_16 x7 x8 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_16" [show x7, show x8, show x9] info)
  _ -> failCons cd (consFail "System.CurryPath._case_16" (showCons x9))

d_C__case_15 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_15 x8 cd cs = case x8 of
  Curry_Prelude.OP_Cons x9 x10 -> d_C__case_14 x9 x10
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
    x9 (Curry_Prelude.C_Char 's'#) cd cs) cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_15 l cd cs)
    (d_C__case_15 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_15 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_15 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_15" [show x8] info)
  _ -> failCons cd (consFail "System.CurryPath._case_15" (showCons x8))

d_C__case_14 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_14 x9 x10 x11 cd cs = case x11 of
  Curry_Prelude.C_True -> d_C__case_13 x10 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_14 x9 x10 l cd
    cs) (d_C__case_14 x9 x10 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_14 x9
    x10 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_14 x9 x10 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_14" [show x9, show x10, show x11] info)
  _ -> failCons cd (consFail "System.CurryPath._case_14" (showCons x11))

d_C__case_13 :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C__case_13 x10 cd cs = case x10 of
  Curry_Prelude.OP_List -> Curry_Prelude.OP_Cons (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_slash_gt cd cs)
    (Curry_Distribution.d_C_installDir cd cs) cd cs)
    (Curry_Prelude.toCurryString "lib") cd cs) Curry_Prelude.OP_List
  Curry_Prelude.OP_Cons x11 x12 -> Curry_Prelude.d_C_error
    (Curry_Prelude.toCurryString
    "Distribution.sysLibPath: unknown curryCompiler") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_13 l cd cs)
    (d_C__case_13 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_13 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_13 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_13" [show x10] info)
  _ -> failCons cd (consFail "System.CurryPath._case_13" (showCons x10))

d_C__case_24 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Bool -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C__case_24 x1 x2 cd cs = case x2 of
  Curry_Prelude.C_True -> Curry_Prelude.d_C_apply
    (Curry_FileGoodies.d_C_stripSuffix cd cs) x1 cd cs
  Curry_Prelude.C_False -> x1
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_24 x1 l cd cs)
    (d_C__case_24 x1 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_24 x1 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_24 x1 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_24" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.CurryPath._case_24" (showCons x2))

d_C__case_28 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_28 x2 x3 cd cs = case x3 of
  Curry_Prelude.OP_Cons x4 x5 -> d_C__case_27 x3 x2 x5 cd cs
  Curry_Prelude.OP_List -> let x16 = Curry_FilePath.d_C_splitExtension x2 cd cs
                               x17 = d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base
                                 x16 cd cs
                               x18 = d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext
                                 x16 cd cs
                               x19 = Curry_FilePath.d_C_splitDirectories x17 cd
                                 cs
                               x20 = Curry_Prelude.d_C_splitAt
                                 (Curry_Prelude.d_OP_uscore_impl_hash_minus_hash_Prelude_dot_Num_hash_Prelude_dot_Int
                                 (Curry_Prelude.d_C_length x19 cd cs)
                                 (Curry_Prelude.d_C_length x3 cd cs) cd cs) x19
                                 cd cs
                               x21 = d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre
                                 x20 cd cs
                               x22 = d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf
                                 x20 cd cs
                               x23 = d_C__case_25 x21 (Curry_Prelude.d_C_null
                                 x21 cd cs) cd cs
    in Curry_Prelude.OP_Tuple2 x23 (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_dot_gt cd cs)
    (Curry_FilePath.d_C_joinPath x22 cd cs) cd cs) x18 cd cs)
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_28 x2 l cd cs)
    (d_C__case_28 x2 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_28 x2
    z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_28 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_28" [show x2, show x3] info)
  _ -> failCons cd (consFail "System.CurryPath._case_28" (showCons x3))

d_C__case_25 :: Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_25 x21 x22 cd cs = case x22 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_List
  Curry_Prelude.C_False -> Curry_FilePath.d_C_addTrailingPathSeparator
    (Curry_FilePath.d_C_joinPath x21 cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_25 x21 l cd cs)
    (d_C__case_25 x21 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_25 x21
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_25 x21 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_25" [show x21, show x22] info)
  _ -> failCons cd (consFail "System.CurryPath._case_25" (showCons x22))

d_C__case_27 :: Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C__case_27 x3 x2 x5 cd cs = case x5 of
  Curry_Prelude.OP_List -> Curry_FilePath.d_C_splitFileName x2 cd cs
  Curry_Prelude.OP_Cons x6 x7 -> let x8 = Curry_FilePath.d_C_splitExtension x2
                                       cd cs
                                     x9 = d_OP_splitModuleFileName_dot_uscore_hash_selFP5_hash_base
                                       x8 cd cs
                                     x10 = d_OP_splitModuleFileName_dot_uscore_hash_selFP6_hash_ext
                                       x8 cd cs
                                     x11 = Curry_FilePath.d_C_splitDirectories
                                       x9 cd cs
                                     x12 = Curry_Prelude.d_C_splitAt
                                       (Curry_Prelude.d_OP_uscore_impl_hash_minus_hash_Prelude_dot_Num_hash_Prelude_dot_Int
                                       (Curry_Prelude.d_C_length x11 cd cs)
                                       (Curry_Prelude.d_C_length x3 cd cs) cd
                                       cs) x11 cd cs
                                     x13 = d_OP_splitModuleFileName_dot_uscore_hash_selFP3_hash_pre
                                       x12 cd cs
                                     x14 = d_OP_splitModuleFileName_dot_uscore_hash_selFP4_hash_suf
                                       x12 cd cs
                                     x15 = d_C__case_26 x13
                                       (Curry_Prelude.d_C_null x13 cd cs) cd cs
    in Curry_Prelude.OP_Tuple2 x15 (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_dot_gt cd cs)
    (Curry_FilePath.d_C_joinPath x14 cd cs) cd cs) x10 cd cs)
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_27 x3 x2 l cd
    cs) (d_C__case_27 x3 x2 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_27 x3
    x2 z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_27 x3 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.CurryPath._case_27" [show x3, show x2, show x5] info)
  _ -> failCons cd (consFail "System.CurryPath._case_27" (showCons x5))

d_C__case_26 :: Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_26 x13 x14 cd cs = case x14 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_List
  Curry_Prelude.C_False -> Curry_FilePath.d_C_addTrailingPathSeparator
    (Curry_FilePath.d_C_joinPath x13 cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_26 x13 l cd cs)
    (d_C__case_26 x13 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_26 x13
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_26 x13 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.CurryPath._case_26" [show x13, show x14] info)
  _ -> failCons cd (consFail "System.CurryPath._case_26" (showCons x14))

